Skip to main content
`Ctrl`+`K`

# DMShellSetCreateMatrix

sets the routine to create a matrix associated with the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateMatrix(DM dm, PetscErrorCode (*func)(DM, Mat *))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- func - the function to create a matrix

## See Also

`DM`, `DMSHELL`, `DMCreateMatrix()`, `DMShellSetMatrix()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex65.c
src/ksp/ksp/tutorials/ex73.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages